
<!-- 签约开通 弹层模式  -->

<template>
  <a-drawer
    v-model:visible="vdata.visible"
    title="签约开通"
    width="70%"
    @close="vdata.visible = false"
  >
    <JeepayApplymentNextBizs v-if="vdata.visible" ref="jeepayApplymentNextBizsRef" />
  </a-drawer>
</template>

<script lang="ts" setup>
import {ref, reactive, nextTick} from 'vue'

const jeepayApplymentNextBizsRef = ref()

const vdata : any = reactive({
  type:null,
  applyId: null, // 更新对象ID
  visible: false, // 是否显示弹层/抽屉
})

function show (applyId,type="status") { // 弹层打开事件

  vdata.applyId = applyId
  vdata.type = type
  vdata.visible = true
 // const text = applyId+"=**="+type;

  nextTick(() => {
    jeepayApplymentNextBizsRef.value.pageRender(applyId)
  })

}

defineExpose({ show })
</script>